EDIT - bug #9612

ROLE_USER_MANAGER is missing as a group in FirstDatalmporter
05/07/2021 09:52 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal Found in Version:

Description

... for details see #9051

Or is it not wanted to have a group for this as default similar to Group_Project_Manager?

Related issues:
Related to EDIT - bug #9051: Role Project manager should not have right to ed... New
Related to EDIT - feature request #9613: Use fixed uuids for roles project ma... Closed

Associated revisions

Revision ee97649b - 05/07/2021 12:36 PM - Andreas Miiller

fix #9612 add user manager as group to firstDatalnserter

Revision 695765fe - 05/07/2021 12:36 PM - Andreas Miiller

handle uuids explicitly and ref #9612 fix role user manager uuid

Revision 0¢924588 - 05/07/2021 12:40 PM - Andreas Miiller

ref #9613 use fixed role uuids for new GrantedAuthorities being roles and ref #9612 enlarge test data for FirstDatalnserter

Revision 2771d5a7 - 05/12/2021 10:17 AM - Andreas Kohlbecker

ref #9612 removing unrelated test method and clarifying the remainig test method

History

#1 - 05/07/2021 10:02 AM - Andreas Mdiller

- Subject changed from ROLE_USER _MANAGER is missing in FirstDatalmporter to ROLE_USER_MANAGER is missing as a group in
FirstDatalmporter

- Description updated

#2 - 05/07/2021 10:13 AM - Andreas Miiller

- Status changed from New to In Progress

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller
- Priority changed from New to Highest

- % Done changed from 0 to 20

#3 - 05/07/2021 10:24 AM - Andreas Miiller

- Related to bug #9051: Role Project manager should not have right to edit users and creating a new user with missing rights results in two
message-boxes added

#4 - 05/07/2021 12:22 PM - Andreas Miiller

- Related to feature request #9613: Use fixed uuids for roles project manager, publish and user manager added

#5 - 05/07/2021 12:41 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 20 to 50
https://dev.e-taxonomy.eu/redmine/issues/9051

Applied in changeset cdmliblee97649b15bfeb922508e97eec12aaecbd04535e.

#6 - 05/07/2021 01:24 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

This is fixed and can be reviewed.

#7 - 05/11/2021 05:39 PM - Andreas Kohlbecker
- Status changed from Resolved to In Progress
- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- % Done changed from 50 to 40

implementation ok, the FirstDatalnserterTest however looks like it has never been implemented, seems like a copy of some other test.
Since you have changed some core code, | suggest to implement at least one test that covers addMissingAuthority()

#8 - 05/11/2021 05:57 PM - Andreas Kohlbecker

Andreas Kohlbecker wrote:

implementation ok, the FirstDatalnserterTest however looks like it has never been implemented, seems like a copy of some other test.
Since you have changed some core code, | suggest to implement at least one test that covers addMissingAuthority()

I now see that there is another ticket (#9613) to which this rather refers to, please decide yourself in which context you want to deal with this.

#9 - 05/11/2021 06:42 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

The addMissingAuthority method is a private method that is explicitly tested in testBlankDB by the result dataset
"FirstDatalnserterTest.testBlankDB-result.xml". This is why | extended the result dataset. With this result dataset | don't think there is a need for
testing the method explicitly. Before there was a need because the adding of the authority was tested nowhere.

#10 - 05/11/2021 06:42 PM - Andreas Miiller
- % Done changed from 40 to 50

#11 - 05/11/2021 06:45 PM - Andreas Miiller

But | also do not understand what the testinsertData() test method is for. It does not seem to be related to first data inserting. Should we remove it?

#12 - 05/12/2021 10:25 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Andreas Mliller
- % Done changed from 50 to 100

Ja, die sollte weg, dass die hier keinen Sinn macht, meinte ich auch mit "seems like a copy of some other test."

Den Sinn der anderen Test-Methode habe ich nicht gleich erkannt da ich den Methodennamen falsch interpretiert hatte. Ich hab den leicht gedndert
und auch noch einen java doc Kommentar beigeflgt.

Ich denke wir kdbnnen das Ticket nun schlieBen

#13 - 05/17/2021 09:52 AM - Andreas Muller

- Target version changed from Release 5.25 to Release 5.23

04/10/2024 22


https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/ee97649b15bfeb922508e97eec12aaecbd04535e
https://dev.e-taxonomy.eu/redmine/issues/9613
http://www.tcpdf.org

